<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    
    <link rel='stylesheet' type='text/css' media='screen' href="vendor/bootstrap-5.1.3-dist/css/bootstrap.css">
    <link rel='stylesheet' type='text/css' media='screen' href='css/slate-bootstrap.css'>
    <link rel='stylesheet' type='text/css' media='screen' href='css/maquinaCafe.css'>
    <link rel='stylesheet' type='text/css' media='screen' href="css/slate.css">
    
    
    <script src='js/maquinaCafe.js'></script>
    <script>        
        var maquinaCafe = new MaquinaCafe();
    </script>
</head>
<body>
    
    <div class="container offset-2 col-8 text-center mt-5">
        <div class="table-responsive">
            <table border="1" class="maquina table">
                <tr>
                    <td class="col-4">
                        <button 
                        class="btn btn-danger"
                        onclick="maquinaCafe.quitarAzucar()">
                        -
                    </button>
                </td>
                <td  class="col-4" id="celdaAzucar">
                    <div class="progress">
                        <div class="progress-bar progress-bar-striped bg-info" 
                        role="progressbar" 
                        id="nivelAzucar"
                        style="width: 0%;" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                    </div>
                </td>
                <td  class="col-4">
                    <button class="btn btn-success"
                    onclick="maquinaCafe.añadirAzucar()">+</button>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <table>
                        <tr>
                            <td>
                                <div class="">
                                    <button class="btn btn-secondary w-50"
                                     onclick="maquinaCafe.seleccionaCafe('expreso')">
                                        Expreso
                                    </button>
                                </div>
                            </td>
                            <td>
                                <button class="btn btn-secondary w-50" onclick="maquinaCafe.seleccionaCafe('con leche')">
                                    Con leche
                                </button>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <button class="btn btn-secondary w-50" onclick="maquinaCafe.seleccionaCafe('descafeinado')">
                                    descafeinado
                                </button>
                            </td>
                            <td>
                                <button class="btn btn-secondary w-50" onclick="maquinaCafe.seleccionaCafe('bombon')">
                                    Bombon
                                </button>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>       
            <tr>
                <td colspan="3">
                    <button class="btn btn-primary" disabled id="btnServir" onclick="maquinaCafe.servir()">
                        servir
                    </button>
                </td>            
            </tr>
        </table>
    </div>
</div>

</body>
</html>